import { html } from '@microsoft/fast-element';
import { backButton, organisationField, submitButton, usernameField } from '../base';
export const ForgotPasswordTemplate = html `
  <login-background>
    <div class="container">
      <zero-card class="card-pd">
        <div class="column-content">
          <login-logo></login-logo>
          <div class="heading2">${(x) => x.toLocalisedText('FORGOTTEN_PASSWORD_TITLE')}</div>
          <div class="heading3">${(x) => x.toLocalisedText('FORGOTTEN_PASSWORD_SUBTITLE')}</div>
        </div>
        <form @submit=${(x) => x.onSubmit()}>
          ${organisationField()} ${usernameField()}
          <div class="form-buttons">
            ${(x) => submitButton(x.toLocalisedText('FORGOTTEN_PASSWORD_SUBMIT_BUTTON'))}
            ${(x) => backButton(() => x.onBack(), x.toLocalisedText('FORGOTTEN_PASSWORD_BACK_BUTTON'))}
          </div>
          <submitting-indicator is-submitting="${(x) => x.isSubmitting}"></submitting-indicator>
          <login-message
            message="${(x) => x.message}"
            non-error="${(x) => !x.hasErrors}"
          ></login-message>
        </form>
      </zero-card>
    </div>
  </login-background>
`;
