import { sync } from '@genesislcap/foundation-utils';
import { html } from '@microsoft/fast-element';
import { backButton, emailField, organisationField, password2Field, passwordField, submitButton, usernameField, } from '../base';
export const RequestAccountTemplate = html `
  <login-background>
    <div class="container">
      <zero-card class="card-pd">
        <div class="column-content">
          <login-logo></login-logo>
          <div class="heading2">${(x) => x.toLocalisedText('REQUEST_ACCOUNT_TITLE')}</div>
        </div>
        <form @submit=${(x) => x.onSubmit()}>
          ${organisationField()} ${usernameField()} ${emailField()} ${passwordField()}
          ${password2Field('confirmation')}
          <zero-checkbox
            name="terms"
            :value=${sync((x) => x.termsAgreed, 'boolean')}
            data-test-id="terms"
            :innerHTML="${(x) => x.toLocalisedText('REQUEST_ACCOUNT_TERMS_HTML')}"
          ></zero-checkbox>
          <div class="form-buttons">
            ${(x) => submitButton(x.toLocalisedText('REQUEST_ACCOUNT_SUBMIT_BUTTON'))}
            ${(x) => backButton(() => x.onBack(), x.toLocalisedText('REQUEST_ACCOUNT_BUTTON_BACK'))}
          </div>
          <login-message message="${(x) => x.message}"></login-message>
        </form>
      </zero-card>
    </div>
  </login-background>
`;
