import { html, when } from '@microsoft/fast-element';
import { backButton, organisationField, password2Field, passwordField, showPasswordCheckbox, submitButton, usernameField, } from '../base';
export const ResetPasswordTemplate = html `
  <login-background>
    <div class="container">
      <zero-card class="card-pd">
        <div class="column-content">
          <login-logo></login-logo>
          <div class="heading2" data-test-id="heading">${(x) => x.headingText}</div>
          <div class="heading3">${(x) => x.toLocalisedText('RESET_PASSWORD_SUBTITLE')}</div>
        </div>
        <form @submit=${(x) => x.onSubmit()} autocomplete="on">
          ${organisationField()} ${usernameField()}
          ${when((x) => !x.passwordResetToken, html `
              ${(x) => passwordField(x.toLocalisedText('RESET_PASSWORD_PASSWORD_FIELD'))}
            `)}
          ${password2Field('new')} ${showPasswordCheckbox()}
          <div class="form-buttons">
            ${(x) => submitButton(x.toLocalisedText('RESET_PASSWORD_SUBMIT_BUTTON'))}
            ${(x) => backButton(() => x.onBack(), x.toLocalisedText('RESET_PASSWORD_BACK_BUTTON'))}
          </div>
          <submitting-indicator is-submitting="${(x) => x.isSubmitting}"></submitting-indicator>
          <login-message
            message="${(x) => x.message}"
            non-error="${(x) => !x.hasErrors}"
          ></login-message>
        </form>
      </zero-card>
    </div>
  </login-background>
`;
