import { sync } from '@genesislcap/foundation-utils';
import { html } from '@microsoft/fast-element';
import { backButton } from '../base';
export const VerifyTemplate = html `
  <login-background>
    <div class="container">
      <zero-card class="card-pd">
        <div class="column-content">
          <login-logo></login-logo>
          <div class="heading2">${(x) => x.toLocalisedText('VERIFY_TITLE')}</div>
          <div class="heading3">${(x) => x.toLocalisedText('VERIFY_SUBTITLE')}</div>
        </div>
        <form @submit=${(x) => x.onSubmit()}>
          <zero-text-field
            type="text"
            name="code"
            autocomplete="one-time-code"
            :value=${sync((x) => x.code)}
            autofocus
            data-test-id="code"
          >
            <span class="form-title">${(x) => x.toLocalisedText('VERIFY_FORM_TITLE')}</span>
          </zero-text-field>
          <div class="form-buttons">
            <submit-button
              is-submitting="${(x) => x.isSubmitting}"
              label="${(x) => x.toLocalisedText('VERIFY_SUBMIT_BUTTON_LABEL')}"
            ></submit-button>
            ${(x) => backButton(() => x.onBack(), x.toLocalisedText('VERIFY_BACK_BUTTON'))}
          </div>
          <login-message message="${(x) => x.message}"></login-message>
        </form>
      </zero-card>
    </div>
  </login-background>
`;
